(function() {
  "use strict";

  module("Spritey: Helper");

  test("type checking", function() {
    expect(24);

    var h = Spritey.helper;

    // undefined
    ok(h.is_undefined(undefined));
    ok(h.is_undefined({}.test));
    ok(!h.is_undefined(null));
    ok(!h.is_undefined({}));
    ok(!h.is_undefined({test: 3}.test));

    // boolean
    ok(h.is_boolean(true));
    ok(h.is_boolean(false));
    ok(!h.is_boolean(1));
    ok(!h.is_boolean(null));

    // string
    ok(h.is_string(""));
    ok(h.is_string("test"));
    ok(!h.is_string(true));
    ok(!h.is_string({}));

    // number
    ok(h.is_number(1.4));
    ok(h.is_number(0));
    ok(!h.is_number(""));
    ok(!h.is_number(null));

    // function
    ok(h.is_function(function() {}));
    ok(!h.is_function({}));

    // null-or-undefined
    ok(h.is_null_or_undef(null));
    ok(h.is_null_or_undef(undefined));
    ok(h.is_null_or_undef({}.test));
    ok(!h.is_null_or_undef(false));
    ok(!h.is_null_or_undef({}));
  });
})();