(function() {
  "use strict";

  module("Spritey: Set frame");

  test("Use global", function() {
    expect(1);

    var s = new Spritey();
    equal(s.setFrame, Spritey.setFrame, "global setFrame used");
  });

  test("Use callback from config", function() {
    expect(1);

    var local_set_frame = function(){};

    var s = new Spritey(null, {setFrame: local_set_frame});
    equal(s.setFrame, local_set_frame, "used from config");
  });

  test("Override global", function() {
    expect(1);

    var prev        = Spritey.setFrame,
        overridden = function() {};

    Spritey.setFrame = overridden;

    var s = new Spritey();
    equal(s.setFrame, overridden, "glovally overridden");

    Spritey.setFrame = prev; // reset
  });
})();